eureka:
  client:
    service-url:
      defaultZone: http://localhost:1101/eureka/

#mapper文件加载支持两种方式，一种是在config文件中配置，一种是在这里配置
mybatis:
    mapper-locations: classpath:mybatis/mapping/*.xml
    type-aliases-package: com.neusoft.smart.pos.payorder.persistent

logging:
    level:
        root: info

#DataSource配置,默认主数据源
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.jdbc.Driver
        url: jdbc:mysql://101.200.130.134:3306/smart_pos_platform_catering_db?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&autoReconnect=true&useSSL=false
        username: root
        password: fm2020test
        #初始化大小，最小，最大
        initialSize: 5
        minIdle: 5
        maxActive: 20
        #配置获取连接等待超时的时间
        maxWait: 60000
        #配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        timeBetweenEvictionRunsMillis: 60000
        #配置一个连接在池中最小生存的时间，单位是毫秒
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        #打开PSCache，并且指定每个连接上PSCache的大小
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        #配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
        filters: stat,wall,log4j
        #通过connectProperties属性来打开mergeSql功能；慢SQL记录
        connectionProperties: druid.stat.mergeSql:true;druid.stat.slowSqlMillis:5000
        #合并多个DruidDataSource的监控数据
        useGlobalDataSourceStat: true
    redis:
        #数据库索引
        database: 0
        #主机地址
        host: 101.200.130.134
        #主机端口
        port: 6379
        #密码
        password: iF0rm@2l2ol9
        #最大连接数，为负表示不限制
        maxTotal: 8
        #最大阻塞等待时间，为负表示不限制
        maxWait: -1
        #最大空闲连接
        maxIdle: 8
        #最小空闲连接
        minIdle: 0
        #连接超时时间
        timeout: 0
    jackson:
          date-format: yyyy-MM-dd HH:mm:ss
          time-zone: GMT+8
    http:
      encoding:
        charset: UTF-8
        enabled: true
      multipart:
        location: /
smart:
  pos:
    constant:
      #微信点餐URL
      wechatOrderUrl: http://fmneupos.malls.iformall.com/wechatOrder/index.html
